package net.h34t.filemure

import io.javalin.http.Context
import io.javalin.security.RouteRole

enum class Role : RouteRole {
    ANON, USER, ADMIN
}

fun getUserRole(ctx: Context): Role {
    val session = ctx.getSession()

    return if (session == null) {
        Role.ANON
    } else {
        Role.USER
    }
}